GET /api/fleet/agent_download_sources/{sourceId}

Spaces method and path for this operation:

get /s/{space_id}/api/fleet/agent_download_sources/{sourceId}

Refer to Spaces for more information.

Get an agent binary download source by ID.

[Required authorization] Route required privileges: fleet-agent-policies-read OR fleet-settings-read.

Path parameters

  • sourceId string Required

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • item object Required

      Additional properties are NOT allowed.

      Hide item attributes Show item attributes object
      • auth object | null

        Additional properties are NOT allowed.

        Hide auth attributes Show auth attributes object | null
        • api_key string
        • headers array[object]

          Not more than 100 elements.

          Hide headers attributes Show headers attributes object
          • key string Required
          • value string Required
        • password string
        • username string
      • host string(uri) Required
      • id string Required
      • is_default boolean

        Default value is false.

      • name string Required
      • proxy_id string | null

        The ID of the proxy to use for this download source. See the proxies API for more information.

      • secrets object

        Additional properties are NOT allowed.

        Hide secrets attributes Show secrets attributes object
      • ssl object

        Additional properties are NOT allowed.

        Hide ssl attributes Show ssl attributes object
        • certificate string
        • certificate_authorities array[string]

          Not more than 10 elements.

        • key string
  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
  • 404 application/json

    Not Found

GET /api/fleet/agent_download_sources/{sourceId}
curl \
 --request GET 'https://<KIBANA_URL>/api/fleet/agent_download_sources/{sourceId}' \
 --header "Authorization: $API_KEY"
Response examples (200)
An agent binary download source
{
  "item": {
    "host": "https://artifacts.elastic.co/downloads/",
    "id": "download-source-id-1",
    "is_default": true,
    "name": "Elastic Artifacts"
  }
}
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
Response examples (404)
No download source was found with the given ID
{
  "error": "Not Found",
  "message": "Agent binary source download-source-id-1 not found",
  "statusCode": 404
}